--- qtiplot-0.9.8.9-orig/qtiplot.pro	2010-09-20 13:08:10.000000000 -0400
+++ qtiplot-0.9.8.9/qtiplot.pro	2013-11-18 14:06:42.000000000 -0500
@@ -1,7 +1,6 @@
 TEMPLATE = subdirs
 
 SUBDIRS = fitPlugins \
-	    manual \
 	    3rdparty/qwt \
 		3rdparty/qwtplot3d \
         qtiplot
diff -ruN qtiplot-0.9.8.9-orig/3rdparty/qwt/qwtconfig.pri qtiplot-0.9.8.9/3rdparty/qwt/qwtconfig.pri
--- qtiplot-0.9.8.9-orig/3rdparty/qwt/qwtconfig.pri	2009-04-02 05:21:45.000000000 -0400
+++ qtiplot-0.9.8.9/3rdparty/qwt/qwtconfig.pri	2013-11-18 18:45:04.000000000 -0500
@@ -8,7 +8,7 @@
 VERSION      = $${VER_MAJ}.$${VER_MIN}.$${VER_PAT}
 
 unix {
-    INSTALLBASE    = /usr/local/qwt-5.2.0
+    INSTALLBASE    = @FINK_PREFIX@
 }
 
 win32 {
diff -ruN qtiplot-0.9.8.9-orig/3rdparty/qwtplot3d/qwtplot3d.pro qtiplot-0.9.8.9/3rdparty/qwtplot3d/qwtplot3d.pro
--- qtiplot-0.9.8.9-orig/3rdparty/qwtplot3d/qwtplot3d.pro	2022-02-12 01:05:30.000000000 -0500
+++ qtiplot-0.9.8.9/3rdparty/qwtplot3d/qwtplot3d.pro	2013-11-18 13:32:39.000000000 -0500
@@ -1,6 +1,11 @@
 # pro file for building the makefile for qwtplot3d
 #
 
+QTI_ROOT = ../..
+!include( $$QTI_ROOT/build.conf ) {
+  message( "You need a build.conf file with local settings!" )
+}
+
 include (qwtplot3d.pri)
 
 CONFIG          += qt warn_on opengl thread release
@@ -30,11 +35,15 @@
 RCC_DIR      = $$DESTDIR/tmp
 MOC_DIR      = $$DESTDIR/tmp
 
-DEFINES     += GL2PS_HAVE_LIBPNG
-INCLUDEPATH += ../zlib/
-INCLUDEPATH += ../libpng/
-LIBS        += ../libpng/libpng.a
+DEFINES     += GL2PS_HAVE_ZLIB GL2PS_HAVE_LIBPNG
+INCLUDEPATH += $$ZLIB_INCLUDEPATH
+INCLUDEPATH += $$LIBPNG_INCLUDEPATH
+LIBS        += $$LIBPNG_LIBS
+
+#At the very end: add global include- and lib path
+unix:INCLUDEPATH += $$SYS_INCLUDEPATH
+unix:LIBS += $$SYS_LIBS
 
 # install
-target.path = lib
-INSTALLS += target
+#target.path = lib
+#INSTALLS += target
diff -ruN qtiplot-0.9.8.9-orig/fitPlugins/exp_saturation/exp_saturation.pro qtiplot-0.9.8.9/fitPlugins/exp_saturation/exp_saturation.pro
--- qtiplot-0.9.8.9-orig/fitPlugins/exp_saturation/exp_saturation.pro	2013-11-18 18:15:55.000000000 -0500
+++ qtiplot-0.9.8.9/fitPlugins/exp_saturation/exp_saturation.pro	2013-11-18 18:23:13.000000000 -0500
@@ -14,12 +14,14 @@
 CONFIG           += release
 CONFIG           += dll 
 
+CONFIG += plugin
+
 DESTDIR           = ../
  
 INCLUDEPATH += $$GSL_INCLUDEPATH
 LIBS        += $$GSL_LIBS
 
-target.path=/usr/lib$${libsuff}/qtiplot/plugins
+target.path=@FINK_PREFIX@/lib$${libsuff}/qtiplot/plugins
 INSTALLS += target
 
 SOURCES += exp_saturation.c
diff -ruN qtiplot-0.9.8.9-orig/fitPlugins/explin/explin.pro qtiplot-0.9.8.9/fitPlugins/explin/explin.pro
--- qtiplot-0.9.8.9-orig/fitPlugins/explin/explin.pro	2009-08-13 17:27:00.000000000 -0400
+++ qtiplot-0.9.8.9/fitPlugins/explin/explin.pro	2013-11-18 18:23:08.000000000 -0500
@@ -14,12 +14,14 @@
 CONFIG           += release
 CONFIG           += dll 
 
+CONFIG += plugin
+
 DESTDIR           = ../
  
 INCLUDEPATH += $$GSL_INCLUDEPATH
 LIBS        += $$GSL_LIBS
 
-target.path=/usr/lib$${libsuff}/qtiplot/plugins
+target.path=@FINK_PREFIX@/lib$${libsuff}/qtiplot/plugins
 INSTALLS += target
 
 SOURCES += explin.c
diff -ruN qtiplot-0.9.8.9-orig/fitPlugins/fitRational0/fitRational0.pro qtiplot-0.9.8.9/fitPlugins/fitRational0/fitRational0.pro
--- qtiplot-0.9.8.9-orig/fitPlugins/fitRational0/fitRational0.pro	2013-11-18 18:24:44.000000000 -0500
+++ qtiplot-0.9.8.9/fitPlugins/fitRational0/fitRational0.pro	2013-11-18 18:24:44.000000000 -0500
@@ -4,24 +4,43 @@
 }
 
 QMAKE_PROJECT_DEPTH = 0
+
 linux-g++-64: libsuff=64
 
+
+
 TARGET            = fitRational0
+
 TEMPLATE          = lib
 
+
+
 CONFIG           += thread
+
 CONFIG           += warn_on 
+
 CONFIG           += release
+
 CONFIG           += dll 
 
+
+CONFIG += plugin
+
+
 DESTDIR           = ../
+
  
+
 INCLUDEPATH += $$GSL_INCLUDEPATH
 LIBS        += $$GSL_LIBS
 
-target.path=/usr/lib$${libsuff}/qtiplot/plugins
+
+target.path=@FINK_PREFIX@/lib$${libsuff}/qtiplot/plugins
+
 INSTALLS += target
 
+
+
 SOURCES += fitRational0.cpp
 
 # At the very end: add global include- and lib path
diff -ruN qtiplot-0.9.8.9-orig/fitPlugins/fitRational1/fitRational1.pro qtiplot-0.9.8.9/fitPlugins/fitRational1/fitRational1.pro
--- qtiplot-0.9.8.9-orig/fitPlugins/fitRational1/fitRational1.pro	2009-08-13 17:27:00.000000000 -0400
+++ qtiplot-0.9.8.9/fitPlugins/fitRational1/fitRational1.pro	2013-11-18 18:22:59.000000000 -0500
@@ -14,12 +14,14 @@
 CONFIG           += release
 CONFIG           += dll 
 
+CONFIG += plugin
+
 DESTDIR           = ../
  
 INCLUDEPATH += $$GSL_INCLUDEPATH
 LIBS        += $$GSL_LIBS
 
-target.path=/usr/lib$${libsuff}/qtiplot/plugins
+target.path=@FINK_PREFIX@/lib$${libsuff}/qtiplot/plugins
 INSTALLS += target
 
 SOURCES += fitRational1.cpp
diff -ruN qtiplot-0.9.8.9-orig/fitPlugins/planck_wavelength/planck_wavelength.pro qtiplot-0.9.8.9/fitPlugins/planck_wavelength/planck_wavelength.pro
--- qtiplot-0.9.8.9-orig/fitPlugins/planck_wavelength/planck_wavelength.pro	2009-08-13 17:27:00.000000000 -0400
+++ qtiplot-0.9.8.9/fitPlugins/planck_wavelength/planck_wavelength.pro	2013-11-18 18:22:47.000000000 -0500
@@ -13,12 +13,14 @@
 CONFIG += release
 DESTDIR = ../
 
+CONFIG += plugin
+
 INSTALLS += target
  
 INCLUDEPATH += $$GSL_INCLUDEPATH
 LIBS        += $$GSL_LIBS
 
-target.path=/usr/lib$${libsuff}/qtiplot/plugins
+target.path=@FINK_PREFIX@/lib$${libsuff}/qtiplot/plugins
 
 SOURCES = planck_wavelength.c
 
--- qtiplot-0.9.8.9-orig/qtiplot/qtiplot.pro	2011-11-02 12:55:25.000000000 -0400
+++ qtiplot-0.9.8.9/qtiplot/qtiplot.pro	2013-11-18 15:59:44.000000000 -0500
@@ -14,6 +14,7 @@
 INCLUDEPATH       += $$QWT_INCLUDEPATH
 INCLUDEPATH       += $$QWT3D_INCLUDEPATH
 INCLUDEPATH       += $$GSL_INCLUDEPATH
+INCLUDEPATH       += $$QTASSISTANT_INCLUDEPATH
 
 # configurable libs
 LIBS         += $$MUPARSER_LIBS
@@ -45,7 +46,7 @@
 	INSTALLS        += documentation
 	unix:INSTALLS        += man
 
-	unix: INSTALLBASE = /usr
+	unix: INSTALLBASE = @FINK_PREFIX@
 	win32: INSTALLBASE = C:/QtiPlot
 
 	unix: target.path = $$INSTALLBASE/bin