diff -Naur --exclude='*~' SPASS-3.7/doc/texinfo/script.info SPASS-3.7.fink/doc/texinfo/script.info
--- SPASS-3.7/doc/texinfo/script.info	2010-02-23 12:43:13.000000000 +0000
+++ SPASS-3.7.fink/doc/texinfo/script.info	2010-08-09 23:47:04.000000000 +0100
@@ -1,7 +1,12 @@
-This is doc/texinfo/script.info, produced by makeinfo version 4.11 from ./doc/texinfo/script.texi.
+This is doc/texinfo/spass.info, produced by makeinfo version 4.11 from ./doc/texinfo/script.texi.
+
+INFO-DIR-SECTION Theorem proving
+START-INFO-DIR-ENTRY
+* spass: (spass).       Theorem prover for first-order logic with equality.
+END-INFO-DIR-ENTRY
 
 
-File: script.info,  Node: Top,  Up: (dir)
+File: spass.info,  Node: Top,  Up: (dir)
 
 * Menu:
 
@@ -24,7 +29,7 @@
 * spassfaq::        frequently asked questions about SPASS
 
 
-File: script.info,  Node: SPASS,  Next: checkstat,  Prev: Top,  Up: Top
+File: spass.info,  Node: SPASS,  Next: checkstat,  Prev: Top,  Up: Top
 
 1 SPASS
 *******
@@ -695,7 +700,7 @@
 tpget(1), deprose(1), dfg2otter(1), dfg2otterpl(1), dfg2dfg(1)
 
 
-File: script.info,  Node: checkstat,  Next: filestat,  Prev: SPASS,  Up: Top
+File: spass.info,  Node: checkstat,  Next: filestat,  Prev: SPASS,  Up: Top
 
 2 checkstat
 ***********
@@ -876,7 +881,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: filestat,  Next: pcs,  Prev: checkstat,  Up: Top
+File: spass.info,  Node: filestat,  Next: pcs,  Prev: checkstat,  Up: Top
 
 3 filestat
 **********
@@ -927,7 +932,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: pcs,  Next: pgen,  Prev: filestat,  Up: Top
+File: spass.info,  Node: pcs,  Next: pgen,  Prev: filestat,  Up: Top
 
 4 pcs
 *****
@@ -1063,7 +1068,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: pgen,  Next: rescmp,  Prev: pcs,  Up: Top
+File: spass.info,  Node: pgen,  Next: rescmp,  Prev: pcs,  Up: Top
 
 5 pgen
 ******
@@ -1147,7 +1152,7 @@
      Write tableau representation in xvcg format.
 
 
-File: script.info,  Node: daVinci and VCG,  Up: Top
+File: spass.info,  Node: daVinci and VCG,  Up: Top
 
 5.5 DAVINCI AND  VCG
 ====================
@@ -1177,7 +1182,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: rescmp,  Next: tpform,  Prev: pgen,  Up: Top
+File: spass.info,  Node: rescmp,  Next: tpform,  Prev: pgen,  Up: Top
 
 6 rescmp
 ********
@@ -1225,7 +1230,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: tpform,  Next: tpget,  Prev: rescmp,  Up: Top
+File: spass.info,  Node: tpform,  Next: tpget,  Prev: rescmp,  Up: Top
 
 7 tpform
 ********
@@ -1315,7 +1320,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: tpget,  Next: deprose,  Prev: tpform,  Up: Top
+File: spass.info,  Node: tpget,  Next: deprose,  Prev: tpform,  Up: Top
 
 8 tpget
 *******
@@ -1372,7 +1377,7 @@
 deprose(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: deprose,  Next: dfg2ascii,  Prev: tpget,  Up: Top
+File: spass.info,  Node: deprose,  Next: dfg2ascii,  Prev: tpget,  Up: Top
 
 9 deprose
 *********
@@ -1420,7 +1425,7 @@
 tpget(1), dfg2otter(1), dfg2otterpl(1), SPASS(1)
 
 
-File: script.info,  Node: dfg2ascii,  Next: dfg2otter,  Prev: deprose,  Up: Top
+File: spass.info,  Node: dfg2ascii,  Next: dfg2otter,  Prev: deprose,  Up: Top
 
 10 dfg2ascii
 ************
@@ -1456,7 +1461,7 @@
 tpget(1), deprose(1), dfg2otter(1), SPASS(1)
 
 
-File: script.info,  Node: dfg2otter,  Next: dfg2otter.pl,  Prev: dfg2ascii,  Up: Top
+File: spass.info,  Node: dfg2otter,  Next: dfg2otter.pl,  Prev: dfg2ascii,  Up: Top
 
 11 dfg2otter
 ************
@@ -1497,7 +1502,7 @@
 tpget(1), deprose(1), dfg2otter.pl(1), SPASS(1)
 
 
-File: script.info,  Node: dfg2otter.pl,  Next: dfg2dfg,  Prev: dfg2otter,  Up: Top
+File: spass.info,  Node: dfg2otter.pl,  Next: dfg2dfg,  Prev: dfg2otter,  Up: Top
 
 12 dfg2otter.pl
 ***************
@@ -1543,7 +1548,7 @@
 tpget(1), deprose(1), dfg2otter(1), SPASS(1)
 
 
-File: script.info,  Node: dfg2dfg,  Next: dfg2tptp,  Prev: dfg2otter.pl,  Up: Top
+File: spass.info,  Node: dfg2dfg,  Next: dfg2tptp,  Prev: dfg2otter.pl,  Up: Top
 
 13 dfg2dfg
 **********
@@ -1626,7 +1631,7 @@
 SPASS(1)
 
 
-File: script.info,  Node: dfg2tptp,  Next: tptp2dfg,  Prev: dfg2dfg,  Up: Top
+File: spass.info,  Node: dfg2tptp,  Next: tptp2dfg,  Prev: dfg2dfg,  Up: Top
 
 14 dfg2tptp
 ***********
@@ -1665,7 +1670,7 @@
 tpget(1), deprose(1), dfg2otter(1), SPASS(1)
 
 
-File: script.info,  Node: tptp2dfg,  Next: spassfaq,  Prev: dfg2tptp,  Up: Top
+File: spass.info,  Node: tptp2dfg,  Next: spassfaq,  Prev: dfg2tptp,  Up: Top
 
 15 tptp2dfg
 ***********
@@ -1712,7 +1717,7 @@
 dfg2tptp(1), dfg2otter(1), SPASS(1)
 
 
-File: script.info,  Node: spassfaq,  Prev: tptp2dfg,  Up: Top
+File: spass.info,  Node: spassfaq,  Prev: tptp2dfg,  Up: Top
 
 16 spassfaq
 ***********