diff -Naur '--exclude=*~' --ignore-trailing-space TPTP-v6.1.0/Scripts/tptp2T TPTP-v6.1.0.fink/Scripts/tptp2T
--- TPTP-v6.1.0/Scripts/tptp2T	2014-05-29 10:46:16.000000000 +0200
+++ TPTP-v6.1.0.fink/Scripts/tptp2T	2014-07-20 17:45:17.000000000 +0200
@@ -8,7 +8,7 @@
 use strict "vars"; 
 #------------------------------------------------------------------------------
 #----Defines default TPTP home directory
-my $TPTPDirectory = '/home/tptp/TPTP';
+my $TPTPDirectory = '@PREFIX@/share/tptp';
 
 #----Replaces default with user defined
 if (exists($ENV{TPTP})) {
diff -Naur '--exclude=*~' --ignore-trailing-space TPTP-v6.1.0/TPTP2X/tptp2X TPTP-v6.1.0.fink/TPTP2X/tptp2X
--- TPTP-v6.1.0/TPTP2X/tptp2X	2014-06-20 19:20:12.000000000 +0200
+++ TPTP-v6.1.0.fink/TPTP2X/tptp2X	2014-07-20 17:40:59.000000000 +0200
@@ -1,10 +1,10 @@
 #!/bin/tcsh
 #--------------------------------------------------------------------------
 #----These need to be installed
-set TPTPDirectory=/home/tptp/TPTP
-set PrologInterpreter='/usr/local/eclipse/bin/i386_linux/eclipse'
-set PrologArguments='-l 1024000 -g 1024000'
-set Gawk=/bin/awk
+set TPTPDirectory=@PREFIX@/share/tptp
+set PrologInterpreter='@PREFIX@/bin/swipl'
+set PrologArguments='-L1024000 -G1024000'
+set Gawk=@PREFIX@/bin/gawk
 #--------------------------------------------------------------------------
 #----Set default values for tptp2X parameters
 set FilesToConvert="$TPTPDirectory/Problems/*/*.p"
@@ -577,5 +577,5 @@
 /bin/rm -f /tmp/tptp2X-$$.p
 #--------------------------------------------------------------------------
 #----Clean up any old files lying around
-/bin/find /tmp \( -name 'tptp2X*' -o -name 'TemporaryFile*.tptp' \) -atime +1 -exec rm -f {} >& /dev/null \;
+/usr/bin/find /tmp \( -name 'tptp2X*' -o -name 'TemporaryFile*.tptp' \) -atime +1 -exec rm -f {} >& /dev/null \;
 #--------------------------------------------------------------------------
diff -Naur '--exclude=*~' --ignore-trailing-space TPTP-v6.1.0/TPTP2X/tptp2X.config TPTP-v6.1.0.fink/TPTP2X/tptp2X.config
--- TPTP-v6.1.0/TPTP2X/tptp2X.config	2014-06-20 19:20:11.000000000 +0200
+++ TPTP-v6.1.0.fink/TPTP2X/tptp2X.config	2014-07-20 17:43:23.000000000 +0200
@@ -10,33 +10,33 @@
 %----keep working (it looks for that). Do not delete them!
 % prolog_dialect(generic).                %%generic
 
-prolog_dialect(eclipse).                %%eclipse
-%----These lines were supplied by Max Moser from TUM, to get things working.
-:-local(write/1).                       %%eclipse
-write(X):-                              %%eclipse
-    printf("%Dw",[X]).                  %%eclipse
-:-set_flag(print_depth,1000).           %%eclipse
-:-op(0,fy,if).                          %%eclipse
-:-op(0,fy,not).                         %%eclipse
-:-op(0,fy,once).                        %%eclipse
-:-op(0,xfy,^).                          %%eclipse
-:-use_module(library(iso)).             %%eclipse
-%----Override some ISO silliness
-:-set_flag(syntax_option,not(bar_is_no_atom)).   %%eclipse
-:-use_module(library(numbervars)).      %%eclipse
-:-dynamic(tptp2X_file_to_include/1).    %%eclipse
-:-dynamic(tptp2X_unique_value/1).       %%eclipse
-:-dynamic(tptp2X_cwd/1).                %%eclipse
-%----Optimise the compilation
-:-nodbgcomp.                            %%eclipse
-%----Suppress informational output (needed for generators that do a consult
-%----while things are running, so the messages are not filtered by the
-%----tptp2X script).
-:-set_stream(toplevel_output,null).     %%eclipse
-%----These remove error messages and the prompt too, but that's already
-%----taken care of by the tptp2X script. Hence they are not installed.
-% :-set_error_handler(139,true/0).
-% :-set_prompt(toplevel_input,'',null).
+%% prolog_dialect(eclipse).                %%eclipse
+%% %----These lines were supplied by Max Moser from TUM, to get things working.
+%% :-local(write/1).                       %%eclipse
+%% write(X):-                              %%eclipse
+%%     printf("%Dw",[X]).                  %%eclipse
+%% :-set_flag(print_depth,1000).           %%eclipse
+%% :-op(0,fy,if).                          %%eclipse
+%% :-op(0,fy,not).                         %%eclipse
+%% :-op(0,fy,once).                        %%eclipse
+%% :-op(0,xfy,^).                          %%eclipse
+%% :-use_module(library(iso)).             %%eclipse
+%% %----Override some ISO silliness
+%% :-set_flag(syntax_option,not(bar_is_no_atom)).   %%eclipse
+%% :-use_module(library(numbervars)).      %%eclipse
+%% :-dynamic(tptp2X_file_to_include/1).    %%eclipse
+%% :-dynamic(tptp2X_unique_value/1).       %%eclipse
+%% :-dynamic(tptp2X_cwd/1).                %%eclipse
+%% %----Optimise the compilation
+%% :-nodbgcomp.                            %%eclipse
+%% %----Suppress informational output (needed for generators that do a consult
+%% %----while things are running, so the messages are not filtered by the
+%% %----tptp2X script).
+%% :-set_stream(toplevel_output,null).     %%eclipse
+%% %----These remove error messages and the prompt too, but that's already
+%% %----taken care of by the tptp2X script. Hence they are not installed.
+%% % :-set_error_handler(139,true/0).
+%% % :-set_prompt(toplevel_input,'',null).
 
 % prolog_dialect(yap).                    %%yap
 % :-op(0,fx,not).                         %%yap
@@ -45,8 +45,8 @@
 % prolog_dialect(gnu).                    %%gnu
 
 %----SWI Version 5.3.12 has a bug that affects TPTP2X. Upgrade to 5.3.13
-% prolog_dialect(swi).                    %%swi
-% :-op(0,yfx,xor).                        %%swi
+prolog_dialect(swi).                    %%swi
+:-op(0,yfx,xor).                        %%swi
 
 % prolog_dialect(sicstus).                %%sicstus
 % :-use_module(library(system)).          %%sicstus
@@ -74,5 +74,5 @@
 %------------------------------------------------------------------------------
 %----This specifies the parent directory of the TPTP Problems, Axioms and
 %----TPTP2X directories. Do not use a ~ in this.
-tptp_directory('/home/tptp/TPTP').
+tptp_directory('@PREFIX@/share/tptp').
 %------------------------------------------------------------------------------
diff -Naur '--exclude=*~' --ignore-trailing-space TPTP-v6.1.0/TPTP2X/tptp2X.main TPTP-v6.1.0.fink/TPTP2X/tptp2X.main
--- TPTP-v6.1.0/TPTP2X/tptp2X.main	2014-06-20 19:20:12.000000000 +0200
+++ TPTP-v6.1.0.fink/TPTP2X/tptp2X.main	2014-07-20 17:44:35.000000000 +0200
@@ -57,8 +57,9 @@
 :-op(480,yfx,*).     %----X product
 :-op(480,yfx,+).     %----Union
 :-op(501,yfx,@).
-:-op(502,xfy,'|').
-%FOR SWI 5.10.2 :-(system_mode(true),op(502,xfy,'|'),system_mode(false)).
+%:-op(502,xfy,'|').
+%FOR SWI 5.10.2
+:-(system_mode(true),op(502,xfy,'|'),system_mode(false)).
 :-op(502,xfx,'~|').
 :-op(503,xfy,&).
 :-op(503,xfx,~&).
@@ -97,8 +98,9 @@
     op(480,yfx,*),
     op(480,yfx,+),
     op(501,yfx,@),
-    op(502,xfy,'|'),
-%FOR SWI 5.10.2    (system_mode(true),op(502,xfy,'|'),system_mode(false)),
+%    op(502,xfy,'|'),
+    %FOR SWI 5.10.2
+    (system_mode(true),op(502,xfy,'|'),system_mode(false)),
     op(502,xfx,'~|'),
     op(503,xfy,&),
     op(503,xfx,~&),