diff -ruN xcrysden-1.6.2-orig/Makefile xcrysden-1.6.2/Makefile
--- xcrysden-1.6.2-orig/Makefile	2019-10-29 06:37:45.000000000 -0500
+++ xcrysden-1.6.2/Makefile	2019-10-29 22:57:25.000000000 -0500
@@ -242,37 +242,37 @@
 	@echo
 	@echo "#-----"
 	@echo "#                          "
-	@echo "#   Installing XCRYSDEN to: $(prefix)"
+	@echo "#   Installing XCRYSDEN to: $(DESTDIR)$(prefix)"
 	@echo "#                          "
 	@echo "#-----"
 	@echo	
-	install -m755 -d $(prefix)/share/$(xcrysden)
-	cp -a $(IRON_ITEMS) $(prefix)/share/$(xcrysden)
+	install -m755 -d $(DESTDIR)$(prefix)/share/$(xcrysden)
+	cp -a $(IRON_ITEMS) $(DESTDIR)$(prefix)/share/$(xcrysden)
 	\
 	for subdir in Awk $(EXTERNAL_LIB_BWIDGET) images scripts Tcl util; do \
 		if test -d $$subdir; then \
-			install -m755 -d $(prefix)/share/$(xcrysden)/$$subdir; \
-			cp -a   $$subdir/* $(prefix)/share/$(xcrysden)/$$subdir; \
+			install -m755 -d $(DESTDIR)$(prefix)/share/$(xcrysden)/$$subdir; \
+			cp -a   $$subdir/* $(DESTDIR)$(prefix)/share/$(xcrysden)/$$subdir; \
 		fi; \
 	done
 	\
 	if test -d examples; then \
-		install -m755 -d $(prefix)/share/doc/$(xcrysden)/examples; \
-		cp -a   examples/* $(prefix)/share/doc/$(xcrysden)/examples; \
-		ln -sf $(prefix)/share/doc/$(xcrysden)/examples $(prefix)/share/$(xcrysden)/examples; \
+		install -m755 -d $(DESTDIR)$(prefix)/share/doc/$(xcrysden)/examples; \
+		cp -a   examples/* $(DESTDIR)$(prefix)/share/doc/$(xcrysden)/examples; \
+		ln -sf $(prefix)/share/doc/$(xcrysden)/examples $(DESTDIR)$(prefix)/share/$(xcrysden)/examples; \
 	fi; \
 	\
-	install -m755 -d $(prefix)/share/man/man1
-	install -m644 $(MAN_FILES) $(prefix)/share/man/man1/
-	gzip -f $(addprefix $(prefix)/share/man/man1/,$(MAN_PAGES))
+	install -m755 -d $(DESTDIR)$(prefix)/share/man/man1
+	install -m644 $(MAN_FILES) $(DESTDIR)$(prefix)/share/man/man1/
+	gzip -f $(addprefix $(DESTDIR)$(prefix)/share/man/man1/,$(MAN_PAGES))
 	\
-	install -m755 -d $(prefix)/lib/$(xcrysden)
-	install -m755 bin/*  $(prefix)/lib/$(xcrysden)/
+	install -m755 -d $(DESTDIR)$(prefix)/lib/$(xcrysden)
+	install -m755 bin/*  $(DESTDIR)$(prefix)/lib/$(xcrysden)/
 	\
 	prefix=$(prefix) xcrysden=$(xcrysden) sh sys_utils/wrappers.sh
-	if test ! -d $(prefix)/bin; then install -m755 -d $(prefix)/bin; fi
+	if test ! -d $(DESTDIR)$(prefix)/bin; then install -m755 -d $(DESTDIR)$(prefix)/bin; fi
 	for prog in $(PROGS); do \
-		install -m755 $$prog.wrapper   $(prefix)/bin/$$prog; \
+		install -m755 $$prog.wrapper   $(DESTDIR)$(prefix)/bin/$$prog; \
 	done
 
 
diff -ruN xcrysden-1.6.2-orig/system/Make.sys-shared-macosx-x11-macports xcrysden-1.6.2/system/Make.sys-shared-macosx-x11-macports
--- xcrysden-1.6.2-orig/system/Make.sys-shared-macosx-x11-macports	2019-10-25 12:05:36.000000000 -0500
+++ xcrysden-1.6.2/system/Make.sys-shared-macosx-x11-macports	2019-10-29 23:41:09.000000000 -0500
@@ -2,14 +2,14 @@
 #
 #  Make.sys for X11 shared compilation on Mac OS X
 #
-#  This Make.sys uses the MacPorts and requires the following packages:
+#  This Make.sys uses the Fink and requires the following packages:
 #
 #  xorg-libX11
 #  xorg-libXmu
 #  tcl
 #  tk
 #  mesa
-#  libGLU
+#  #libGLU
 #  fftw-3
 #  ImageMagick (optional, but highly recommended)
 #
@@ -48,28 +48,39 @@
 #------------------------------------------------------------------------
 # X-libraries & include files
 #------------------------------------------------------------------------
-X_LIB     = -lXmu -lX11 
-X_INCDIR  = -I/opt/local/include
+X_LIB     = /opt/X11/lib/libXmu.dylib /opt/X11/lib/libX11.dylib
+X_INCDIR  = -I/opt/X11/include
+COMPILE_TCLTK = no
+COMPILE_FFTW  = no
+COMPILE_MESA  = no
+COMPILE_MESCHACH = no
 
 #------------------------------------------------------------------------
 # EXTERNAL LIBRARIES: Togl
 # N.B.: Togl from macports is not OK, let's compile it from sources
 #
 COMPILE_TOGL  = yes
-TOGL_OPTIONS  = --exec-prefix=$(TOPDIR)/external --enable-shared --with-tcl=/opt/local/lib --with-tk=/opt/local/lib \
-              --with-x CFLAGS=-I/opt/local/include --x-includes=/opt/local/include --x-libraries=/opt/local/lib
+TOGL_OPTIONS  = --exec-prefix=$(TOPDIR)/external --enable-shared --with-tcl=$(LIBPREFIX)/lib --with-tk=$(LIBPREFIX)/lib \
+              --with-x CFLAGS=-I$(LIBPREFIX)/include --x-includes=/opt/X11/include --x-libraries=/opt/X11/lib
 
 #------------------------------------------------------------------------
 #
 # Libraries
 #
 
-TCL_LIB      = -L$(TOPDIR)/external/lib -ltcl$(TCL_VER2)
-TK_LIB       = -ltk$(TCL_VER2)
-TOGL_LIB     = -lTogl$(TOGL_VER)
-GLU_LIB      = -L/opt/local/lib -lGLU
-GL_LIB       = -lGL
-FFTW3_LIB    = -L/opt/local/lib -lfftw3
+LIBPREFIX   = 
+LIBDIR      = $(LIBPREFIX)/lib
+INCDIR      = $(LIBPREFIX)/include
+
+TCL_LIB      = $(LIBDIR)/libtcl.dylib
+TK_LIB       = $(LIBDIR)/libtk.dylib
+#TOGL_LIB     = -L$(TOPDIR)/external/lib -lTogl$(TOGL_VER)
+#GLU_LIB      = $(LIBDIR)/mesa/libGLU.dylib
+#GL_LIB       = $(LIBDIR)/mesa/libGL.dylib
+TOGL_LIB     = $(TOPDIR)/external/lib/Togl2.0/libTogl2.0.dylib
+GLU_LIB      = /opt/X11/lib/libGLU.dylib
+GL_LIB       = /opt/X11/lib/libGL.dylib
+FFTW3_LIB    = $(LIBDIR)/libfftw3.dylib
 # this is only used for some testing purposes
 #MESCHACH_LIB =  -lmeschach
 
@@ -78,10 +89,10 @@
 #
 
 TCL_INCDIR      = -I$(TOPDIR)/external/include
-TK_INCDIR       =
+TK_INCDIR       = -I$(TOPDIR)/external/include
 TOGL_INCDIR     =
-GL_INCDIR       = -I/opt/local/include
-FFTW3_INCDIR    =
+GL_INCDIR       = -I/opt/X11/include
+FFTW3_INCDIR    = -I$(INCDIR)
 # this is only used for some testing purposes
 #MESCHACH_INCDIR =
 